Name:           cudd
Version:        3.0.0
Release:        2
Summary:        Package for the manipulation of Binary Decision Diagrams
License:        BSD
URL:            https://davidkebo.com/cudd

Source0:        https://davidkebo.com/source/cudd_versions/cudd-3.0.0.tar.gz

BuildRequires:  make gcc-c++ doxygen zlib-devel ghostscript

%if 0%{?fedora} || (0%{?rhel} == 8)
BuildRequires:  texlive-graphics-cfg texlive-graphics-def
BuildRequires:  texlive-latex texlive-makeindex graphviz texlive-dvips
BuildRequires:  texlive-ec texlive-url texlive-cm texlive-metafont
BuildRequires:  texlive-graphics texlive-mfware texlive-latexconfig
%endif
%if 0%{?fedora}
BuildRequires:  texlive-l3backend texlive-letltxmacro
BuildRequires:  texlive-hyperref texlive-iftex texlive-mptopdf
BuildRequires:  texlive-auxhook texlive-bigintcalc texlive-bitset
BuildRequires:  texlive-hycolor texlive-infwarerr texlive-kvsetkeys
BuildRequires:  texlive-intcalc texlive-kvdefinekeys texlive-kvoptions
BuildRequires:  texlive-ltxcmds texlive-pdfescape texlive-pdftexcmds
BuildRequires:  texlive-epstopdf-pkg texlive-etexcmds texlive-gettitlestring
BuildRequires:  texlive-refcount texlive-rerunfilecheck texlive-uniquecounter
%endif


%global __cmake_in_source_build 1


%description
CUDD stands for Colorado University Decision Diagram. It is a package for the
manipulation of Binary Decision Diagrams (BDDs), Algebraic Decision Diagrams
(ADDs) and Zero-suppressed Binary Decision Diagrams (ZDDs).

%package        devel
Summary:        Development files for cudd
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains development files for cudd


%prep
%autosetup -n %{name}-%{version}


%build
%configure --enable-shared \
           --disable-static \
           --enable-dddmp \
           --enable-obj \
           --with-system-qsort
%make_build


%install
%make_install
# clean junk
rm -rf %{buildroot}%{_libdir}/*.la


%files
%license LICENSE
%if ! (0%{?rhel} == 9)
%doc doc/cudd.pdf
%doc doc/phase.pdf
%endif
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Sat Jul 25 2020 Cristian Balint <cristian.balint@gmail.com> - 3.0.0-1
- new url (last alive) by davidkebo.com
- enable proper pdf documentation build
